Bug 1675012 - golang-github-coreos-gexpect: FTBFS in Fedora rawhide/f30
Summary: golang-github-coreos-gexpect: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-coreos-gexpect
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:34 UTC by Fedora Release Engineering
Modified: 2019-02-14 09:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 09:15:35 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (705 bytes, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:34:00 UTC
golang-github-coreos-gexpect failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32394878


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-github-coreos-gexpect at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-coreos-gexpect will be orphaned. Before branching of Fedora 31,
golang-github-coreos-gexpect will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:34:02 UTC
Created attachment 1530251 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:34:03 UTC
Created attachment 1530252 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:34:05 UTC
Created attachment 1530253 [details]
state.log

Comment 4 Jakub Čajka 2019-02-12 11:17:46 UTC
Caused by tests timeout on s390x:
+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
SIGQUIT: quit
PC=0x2aa085118e8 m=0 sigcode=0
goroutine 0 [idle]:
runtime.futex(0x2aa08744bc8, 0x8000000000, 0x0, 0x0, 0x0, 0x850ed5e, 0x0, 0x0, 0x2aa084e48b0, 0x2aa08744bc8, ...)
	/usr/lib/golang/src/runtime/sys_linux_s390x.s:306 +0x28
runtime.futexsleep(0x2aa08744bc8, 0x84e5b7a, 0xffffffffffffffff)
	/usr/lib/golang/src/runtime/os_linux.go:46 +0x5c
runtime.notesleep(0x2aa08744bc8)
	/usr/lib/golang/src/runtime/lock_futex.go:151 +0xb6
runtime.stopm()
	/usr/lib/golang/src/runtime/proc.go:1936 +0xe0
runtime.findrunnable(0xc000026000, 0x0)
	/usr/lib/golang/src/runtime/proc.go:2399 +0x628
runtime.schedule()
	/usr/lib/golang/src/runtime/proc.go:2525 +0x28a
runtime.park_m(0xc000001800)
	/usr/lib/golang/src/runtime/proc.go:2605 +0xc0
runtime.mcall(0x0)
	/usr/lib/golang/src/runtime/asm_s390x.s:237 +0x60
goroutine 1 [chan receive]:
testing.(*T).Run(0xc000098600, 0x2aa085c7502, 0xd, 0x2aa08667320, 0x10002aa08578926)
	/usr/lib/golang/src/testing/testing.go:914 +0x38a
testing.runTests.func1(0xc000098000)
	/usr/lib/golang/src/testing/testing.go:1154 +0x8a
testing.tRunner(0xc000098000, 0xc00008de38)
	/usr/lib/golang/src/testing/testing.go:862 +0xca
testing.runTests(0xc00000e060, 0x2aa087310c0, 0xd, 0xd, 0x0)
	/usr/lib/golang/src/testing/testing.go:1152 +0x2c4
testing.(*M).Run(0xc000096000, 0x0)
	/usr/lib/golang/src/testing/testing.go:1069 +0x192
main.main()
	_testmain.go:66 +0x15e
goroutine 9 [chan receive]:
github.com/coreos/gexpect.TestBiChannel.func1(0x2aa085c5c66, 0x5)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect_test.go:81 +0x4a
github.com/coreos/gexpect.TestBiChannel(0xc000098600)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect_test.go:95 +0x2ac
testing.tRunner(0xc000098600, 0x2aa08667320)
	/usr/lib/golang/src/testing/testing.go:862 +0xca
created by testing.(*T).Run
	/usr/lib/golang/src/testing/testing.go:913 +0x36a
goroutine 10 [syscall]:
syscall.Syscall(0x3, 0x8, 0xc000046e66, 0xf1, 0x2aa0852a654, 0x3ffb60b4b68, 0x72)
	/usr/lib/golang/src/syscall/asm_linux_s390x.s:13 +0x12
syscall.read(0x8, 0xc000046e66, 0xf1, 0xf1, 0x0, 0x2aa084f767c, 0x0)
	/usr/lib/golang/src/syscall/zsyscall_linux_s390x.go:732 +0x54
syscall.Read(...)
	/usr/lib/golang/src/syscall/syscall_unix.go:172
internal/poll.(*FD).Read(0xc0000608a0, 0xc000046e66, 0xf1, 0xf1, 0x0, 0x0, 0x0)
	/usr/lib/golang/src/internal/poll/fd_unix.go:165 +0x14c
os.(*File).read(...)
	/usr/lib/golang/src/os/file_unix.go:262
os.(*File).Read(0xc000010090, 0xc000046e66, 0xf1, 0xf1, 0x2aa085c010c, 0x200, 0x2aa08633f00)
	/usr/lib/golang/src/os/file.go:108 +0x6c
github.com/coreos/gexpect.(*buffer).Read(0xc000060840, 0xc000046e58, 0xff, 0xff, 0x14, 0x0, 0x0)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:61 +0xea
github.com/coreos/gexpect.(*ExpectSubprocess).ReadUntil(0xc0000724e0, 0xa0000c000046fb8, 0x5, 0x200, 0xc0000ae016, 0x5, 0x0)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:385 +0x202
github.com/coreos/gexpect.(*ExpectSubprocess).ReadLine(...)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:409
github.com/coreos/gexpect.(*ExpectSubprocess).AsyncInteractChannels.func1(0xc0000724e0, 0xc0000100b0)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:165 +0x58
created by github.com/coreos/gexpect.(*ExpectSubprocess).AsyncInteractChannels
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:163 +0xe8
goroutine 11 [chan receive]:
github.com/coreos/gexpect.(*ExpectSubprocess).AsyncInteractChannels.func2(0xc0000100a8, 0xc0000724e0, 0xc0000100b0)
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:177 +0x48
created by github.com/coreos/gexpect.(*ExpectSubprocess).AsyncInteractChannels
	/builddir/build/BUILD/gexpect-0.1.1/_build/src/github.com/coreos/gexpect/gexpect.go:174 +0x112
r0   0x0	r1   0xee
r2   0x2aa08744bc8	r3   0x80
r4   0x0	r5   0x0
r6   0x0	r7   0x0
r8   0x3	r9   0x2
r10  0x0	r11  0x0
r12  0x1	r13  0x2aa08744460
r14  0x2aa084db47c	r15  0x3ffdaf7ee30
pc   0x2aa085118e8	link 0x2aa084db47c
*** Test killed with quit: ran too long (10m0s).
exit status 2
FAIL	github.com/coreos/gexpect	600.719s

Comment 5 Igor Gnatenko 2019-02-14 09:15:35 UTC
There has been at least one successfull build after mass rebuild.

golang-github-coreos-gexpect-0.1.1-2.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1188140


Note You need to log in before you can comment on or make changes to this bug.